﻿namespace TestProject;

/// <summary>
/// 프로그램
/// </summary>
class Program
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Method
    ////////////////////////////////////////////////////////////////////////////////////////// Static
    //////////////////////////////////////////////////////////////////////////////// Private

    #region 프로그램 시작하기 - Main()

    /// <summary>
    /// 프로그램 시작하기
    /// </summary>
    private async static Task Main()
    {
        string[] stringArray = new string[]
        {
            "London",
            "New York",
            "Paris",
            "Seoul",
            "Tokyo"
        };

        await Task.Run
        (
            () => Parallel.ForEach
            (
                stringArray,
                async s =>
                {
                    await Task.Delay(1000);

                    Console.WriteLine($"[{DateTime.Now:HH:mm:ss}] {s}");
                }
            )
        );

        Console.ReadKey(false);
    }

    #endregion
}